BackedList (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.tree
Class BackedList

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  org.dom4j.tree.BackedList

All Implemented Interfaces:
  Cloneable, Collection, List, RandomAccess, Serializable

public class BackedList
extends ArrayList

`BackedList` represents a list of content of a `Branch`. Changes to the list will be reflected in the branch, though changes to the branch will not be reflected in this list.

Version:
  $Revision: 1.14 $
Author:
  James Strachan
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`BackedList(AbstractBranch branch, List branchContent)`
`BackedList(AbstractBranch branch, List branchContent, int capacity)`
`BackedList(AbstractBranch branch, List branchContent, List initialContent)`

Method Summary
`void` | `add(int index, Object object)`
`boolean` | `add(Object object)`
`boolean` | `addAll(Collection collection)`
`boolean` | `addAll(int index, Collection collection)`
`void` | `addLocal(Object object)` Performs a local addition which is not forward through to the Branch or backing list
`protected Node` | `asNode(Object object)`
`void` | `clear()`
`Object` | `remove(int index)`
`boolean` | `remove(Object object)`
`Object` | `set(int index, Object object)`

Methods inherited from class java.util.ArrayList
`clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, removeRange, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### BackedList

    public BackedList(AbstractBranch branch,
                      List branchContent)

### BackedList

    public BackedList(AbstractBranch branch,
                      List branchContent,
                      int capacity)

### BackedList

    public BackedList(AbstractBranch branch,
                      List branchContent,
                      List initialContent)

Method Detail

### add

    public boolean add(Object object)

### add

    public void add(int index,
                    Object object)

### set

    public Object set(int index,
                      Object object)

### remove

    public boolean remove(Object object)

### remove

    public Object remove(int index)

### addAll

    public boolean addAll(Collection collection)

### addAll

    public boolean addAll(int index,
                          Collection collection)

### clear

    public void clear()

### addLocal

    public void addLocal(Object object)

  Performs a local addition which is not forward through to the Branch or backing list

  Parameters:
    `object` - DOCUMENT ME!

### asNode

    protected Node asNode(Object object)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.